[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bonsai: Candidate for removal from the archive?



Gunnar Wolf <gwolf@gwolf.org> writes:
>> use File::Find;
> Provided by perl-modules, which is build-essential. However, this
> module is used at installation time (in postinst), so yes, this should
> be listed as a pre-depends (as it's not a required/essential package)

Why exactly do you need a pre-depends to use a perl module in postinst?

>> use Debconf::Client::ConfModule ':all';
> Provided by debconf, which is Priority: required

Which doesn't help. You need to depend on all packages you use and can
only leave essential: yes packages out.

>> Furthermore, it can't be installed without mysql-server, which is in
>> recommends, and not depends
> Uhmm... Without looking too deep into Bonsai, I'd not put it as a
> depends - Bonsai uses DBI + DBD::Mysql to connect to MySQL

Right, it asks for the Host providing the mysql DB.

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
177: Mainframe-Admin
       Arbeitsschutzschuhe (Holger Spielmann)

Attachment: pgpXuSLaqSy1z.pgp
Description: PGP signature


Reply to: